Bug 263121 - Review Request: pharosc - VLSI and ASIC Technology Standard Cell Libraries
Review Request: pharosc - VLSI and ASIC Technology Standard Cell Libraries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-29 08:16 EDT by Chitlesh GOORAH
Modified: 2010-07-19 00:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 10:42:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2007-08-29 08:16:53 EDT
Spec URL: http://chitlesh.fedorapeople.org/pharosc/pharosc.spec
SRPM URL: http://chitlesh.fedorapeople.org/pharosc/pharosc-8.3-1.fc7.src.rpm
Description:
VLSI and ASIC Technology Standard Cell Libraries.
There are five new open source standard cell libraries, the
 * vsclib,
 * wsclib,
 * vxlib,
 * vgalib and
 * rgalib.
Comment 1 Xavier Lamien 2007-08-29 18:04:32 EDT
 [ OK ] Package is named according to the Package Naming Guidelines.
 [ OK ] Spec file name must match the base package.
 [ OK ] Package meets the Packaging Guidelines.
 [ OK ] Package successfully to build into binary rpms on at least one
        supported architecture.
 [ CHECK ] Tested on: Mock [FC-devel]

 [ OK ] Package is not relocatable.
 [ OK ] Buildroot is correct
 [ OK ] Package is licensed with an open-source compatible license.
 [ OK ] License field in the package spec file matches the actual license.
 [ OK ] License type: LGPL
 [ OK ] The source package includes the text of the license(s).
 [ OK ] Spec file is legible and written in American English.
 [ SKIP ] Package is not known to require ExcludeArch.
 [ OK ] All build dependencies are listed in BuildRequires.
 [ OK ] The spec file handles locales properly.
 [ SKIP ] ldconfig called in %post and %postun if required.
 [ Ok ] Package must own all directories that it creates.
 [ OK ] Package requires other packages for directories it uses.
 [ OK ] Package does not contain duplicates in %files.
 [ OK ] Permissions on files are set properly.
 [ OK ] Package has a %clean section.
 [ OK ] Package consistently uses macros.
 [ OK ] Package contains code, or permissable content.
 [ OK ] Large documentation files are in a -doc subpackage, if required.
 [ CHECK ] Package uses nothing in %doc for runtime.
 [ SKIP] Header files in -devel subpackage, if present.
 [ SKIP ] Static libraries in -devel subpackage, if present.
 [ SKIP ] Package requires pkgconfig, if .pc files are present.
 [ SKIP ] Development .so files in -devel subpackage, if present.
 [ CHECK ] Fully versioned dependency in subpackages, if present.
 [ OK ] Package does not contain any libtool archives (.la).
 [ SKIP ] Package contains a properly installed %{name}.desktop file.
 [ OK ] Package does not own files or directories owned by other packages.

# Quick comment

* some files which're installed in subpackage (such as README, templates/)
should be marked as %doc

* Just add a quick comment in %build stage even if there's no build action.
Comment 2 Chitlesh GOORAH 2007-08-29 18:42:06 EDT
(In reply to comment #1)
> # Quick comment
> 
> * some files which're installed in subpackage (such as README, templates/)
> should be marked as %doc

Actually it is simple to say but it complicates usage as README and templates 
may come from different folders from the same subpackage.

Each folder entails a particular set of files and images. The latter forms a 
what so called "technology". Moving files from right to left will mix up 
technology descriptions.

I believe it's a bad idea to add it as %doc
 
> * Just add a quick comment in %build stage even if there's no build action.

I thought having marked the package as noarch made it explicit.
Comment 3 Xavier Lamien 2007-08-30 03:42:48 EDT
Okay,
thanks for clarify those points.
However, for %build stage, i think add a comment (such as #nothing to build) is
more explicit than just noarch as buildarch.

well,
This package is APPROVED
Comment 4 Chitlesh GOORAH 2007-08-30 04:36:33 EDT
New Package CVS Request
=======================
Package Name: pharosc
Short Description: VLSI and ASIC Technology Standard Cell Libraries
Owners: chitlesh
Branches: FC-6 F-7 Devel
InitialCC:
Comment 5 Jens Petersen 2007-08-30 21:38:52 EDT
(You could also use %{nil} under %build but a comment is probably better.)

request done
Comment 6 Chitlesh GOORAH 2007-08-31 10:42:56 EDT
(In reply to comment #5)
> (You could also use %{nil} under %build but a comment is probably better.)

I've added the comment.


Comment 7 Chitlesh GOORAH 2010-07-18 06:30:48 EDT
Package Change Request
======================
Package Name: pharosc
Short Description: VLSI and ASIC Technology Standard Cell Libraries
New Branches: EL-5 EL-6
Owners:chitlesh
Comment 8 Kevin Fenzi 2010-07-19 00:28:22 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.